GET /health/deep

Service: entitlements · operationId: (none)

Required scopes

(no scope declared — review service config)

Responses

200 Deep health check passed

{
  "type": "object",
  "properties": {
    "status": {
      "type": "string",
      "enum": [
        "ok",
        "error"
      ]
    },
    "database": {
      "type": "string",
      "enum": [
        "ok",
        "error"
      ]
    },
    "schema_valid": {
      "type": "string",
      "enum": [
        "ok",
        "error"
      ]
    },
    "details": {
      "type": "string"
    }
  },
  "required": [
    "status",
    "database",
    "schema_valid"
  ]
}

503 Deep health check failed

{
  "type": "object",
  "properties": {
    "status": {
      "type": "string",
      "enum": [
        "ok",
        "error"
      ]
    },
    "database": {
      "type": "string",
      "enum": [
        "ok",
        "error"
      ]
    },
    "schema_valid": {
      "type": "string",
      "enum": [
        "ok",
        "error"
      ]
    },
    "details": {
      "type": "string"
    }
  },
  "required": [
    "status",
    "database",
    "schema_valid"
  ]
}

Example

curl -X GET https://entitlements.platform.loop.health/health/deep \
  -H "Authorization: Bearer $ACCESS_TOKEN"